/*
	雛形自動作成 で、useAjaxSubmit="true" の対策

	update.jsp で、useAjaxSubmit="true" の場合、entry.htm は、update.jsp の 
	JavaScriptでforward されるため、雛形には、HTMLの結果は出力されません。
	(result.jsp に出力されます。)
	そこで、雛形作成時には、entry.htm にJavaScriptを入れて、forward させます。

	5.6.3.4 (2013/04/26) 新規追加
	5.6.4.2 (2013/05/17) tgtfrm の判定方法変更(evalがうまく動いていない)
*/
	var url = document.getElementById( "noTransitionUrl" );
	var tgt = document.getElementById( "noTransitionTarget" );

	if( url != null ) {
		var sUrl = url.innerText;
		var sTgt = tgt.innerText;

		if(      sTgt == "null" ) { location.href     = sUrl; }
		else if( sTgt == "_top" ) { top.location.href = sUrl; }
		else {
			var tgtfrm = null;

			if( tgtfrm == null ) {	try { tgtfrm = eval( sTgt );				} catch(ex) { } }
			if( tgtfrm == null ) {	try { tgtfrm = eval( "top."    + sTgt );	} catch(ex) { } }
			if( tgtfrm == null ) {	try { tgtfrm = eval( "parent." + sTgt );	} catch(ex) { } }
			if( tgtfrm == null ) {
				var adrs = sTgt.indexOf( "." );
				if( adrs > 0 ) {	try { tgtfrm = eval( "parent." + sTgt.slice( adrs+1 ) ); } catch(ex) { } }
			}

//			if( tgtfrm ) {
			if( tgtfrm && tgtfrm.location ) {		// 5.6.4.2 (2013/05/17) ターゲットの判定方法変更
				tgtfrm.location.href = sUrl; 
			}
			else {
				parent.location.href = sUrl; 
			}
		}
	}
